| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
wxPersistentObject Member List

This is the complete list of members for wxPersistentObject, including all inherited members.

GetKind() const =0 | wxPersistentObject | pure virtual
GetName() const =0 | wxPersistentObject | pure virtual
GetObject() const | wxPersistentObject |
Restore()=0 | wxPersistentObject | pure virtual
RestoreValue(const wxString &name, T *value) | wxPersistentObject | protected
Save() const =0 | wxPersistentObject | pure virtual
SaveValue(const wxString &name, T value) const | wxPersistentObject | protected
wxPersistentObject(void *obj) | wxPersistentObject |
~wxPersistentObject() | wxPersistentObject | virtual